org.glassfish.jersey.message

## Class GZipEncoder

- java.lang.Object
- - org.glassfish.jersey.spi.ContentEncoder
  - - org.glassfish.jersey.message.GZipEncoder

All Implemented Interfaces:
  jakarta.ws.rs.ext.ReaderInterceptor, jakarta.ws.rs.ext.WriterInterceptor

    @Priority(value=4000)
    public class GZipEncoder
    extends ContentEncoder

GZIP encoding support. Interceptor that encodes the output or decodes the input if `Content-Encoding header` value equals to `gzip` or `x-gzip`.

Author:
  Martin Matula

### Constructor Summary

Constructors
Constructor and Description
`GZipEncoder()` Initialize GZipEncoder.

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `decode(String contentEncoding, InputStream encodedStream)` Implementations of this method should take the encoded stream, wrap it and return a stream that can be used to read the decoded entity.
`OutputStream` `encode(String contentEncoding, OutputStream entityStream)` Implementations of this method should take the entity stream, wrap it and return a stream that is encoded using the specified encoding.

### Methods inherited from class org.glassfish.jersey.spi.ContentEncoder

`aroundReadFrom, aroundWriteTo, getSupportedEncodings`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GZipEncoder

    public GZipEncoder()

Initialize GZipEncoder.

### Method Detail

#### decode

    public InputStream decode(String contentEncoding,
                              InputStream encodedStream)
                       throws IOException

Description copied from class: `ContentEncoder`
Implementations of this method should take the encoded stream, wrap it and return a stream that can be used to read the decoded entity.

Specified by:
  `decode` in class `ContentEncoder`
Parameters:
  `contentEncoding` - Encoding to be used to decode the stream - guaranteed to be one of the supported encoding values.
  `encodedStream` - Encoded input stream.
Returns:
  Decoded entity stream.
Throws:
  `IOException` - if an IO error arises.

#### encode

    public OutputStream encode(String contentEncoding,
                               OutputStream entityStream)
                        throws IOException

Description copied from class: `ContentEncoder`
Implementations of this method should take the entity stream, wrap it and return a stream that is encoded using the specified encoding.

Specified by:
  `encode` in class `ContentEncoder`
Parameters:
  `contentEncoding` - Encoding to be used to encode the entity - guaranteed to be one of the supported encoding values.
  `entityStream` - Entity stream to be encoded.
Returns:
  Encoded stream.
Throws:
  `IOException` - if an IO error arises.